Magick++: Magick::DrawableColor Class Reference

Magick++ 6.9.6

Public Member Functions | List of all members
Magick::DrawableColor Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableColor:
[legend]
Collaboration diagram for Magick::DrawableColor:
[legend]

## Public Member Functions
| DrawableColor (double x_, double y_, PaintMethod paintMethod_)
| ~DrawableColor (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const
void | paintMethod (PaintMethod paintMethod_)
PaintMethod | paintMethod (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 590 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::DrawableColor::DrawableColor | ( | double | x_,
|  | double | y_,
|  | PaintMethod | paintMethod_
| ) |  |
| inline

Definition at line 593 of file Drawable.h.

Magick::DrawableColor::~DrawableColor | ( | void |  | ) |

Definition at line 383 of file Drawable.cpp.

## Member Function Documentation

Magick::DrawableBase * Magick::DrawableColor::copy | ( |  | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 390 of file Drawable.cpp.

void Magick::DrawableColor::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 386 of file Drawable.cpp.

void Magick::DrawableColor::paintMethod | ( | PaintMethod | paintMethod_ | ) |
| inline

Definition at line 626 of file Drawable.h.

PaintMethod Magick::DrawableColor::paintMethod | ( | void |  | ) | const
| inline

Definition at line 630 of file Drawable.h.

void Magick::DrawableColor::x | ( | double | x_ | ) |
| inline

Definition at line 608 of file Drawable.h.

double Magick::DrawableColor::x | ( | void |  | ) | const
| inline

Definition at line 612 of file Drawable.h.

void Magick::DrawableColor::y | ( | double | y_ | ) |
| inline

Definition at line 617 of file Drawable.h.

double Magick::DrawableColor::y | ( | void |  | ) | const
| inline

Definition at line 621 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp